MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007407ardourbugspublic2017-06-25 13:102017-12-20 10:10
Reporterriban 
Assigned Toovenwerks 
PrioritynormalSeveritycrashReproducibilitysometimes
StatusresolvedResolutionfixed 
Platformx86-64OSWindowsOS Version7
Product Version5.10 
Target VersionFixed in Version 
Summary0007407: Clear OSC Devices hangs application
DescriptionPressing the "Clear OSC Devices" sometimes hangs the application.
Steps To ReproduceConnect an OSC client.
Press the "Clear OSC Devices" button.
Expected behaviour: All OSC devices are forgotten.
Actual behaviour: Application hangs requiring force quit from OS.
Additional InformationI have not yet been able to identify a sequence that reliably triggers this issue but feel it is probably consistent with certain actions and certainly fairly easy to reproduce.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0019810)
ovenwerks (reporter)
2017-06-25 13:38

I have not had this problem even with lots of clears in a row, could you tell me what your configuration in OSC is? Manual port or Auto? what feedback etc? Also, a backtrace would be helpful if the same problem happens in a debug build. (knowing that it doesn't happen in a debug build is helpful too)
(0019833)
riban (reporter)
2017-06-30 00:14

For some reason (may be another bug) Ardour is sending OSC messages thousands of OSC messages in response to set_surface which takes several minutes. Pressing "Clear OSC Device" during this time hangs the application. The application does not recover even after the OSC messages have stopped (monitored in Wireshark). Taskmanager shows Ardour using all CPU with memory footprint steadily rising.

This happens with Auto port with "set_surface 0 63 179 1 0 0". This is on Windows and I do not have a build environment to create a debug version. I can provide a dump file if that is of use but it is 730MB.
(0019840)
ovenwerks (reporter)
2017-06-30 15:27

Please download a nightly from https://nightly.ardour.org/list.php [^] From your description this should have been fixed with commit: fd3bd352033882869d4e244f34951b13db48c6c9 on June 20th
(0020108)
ovenwerks (reporter)
2017-12-20 10:09

Many bug fixes since related to crashes.

- Issue History
Date Modified Username Field Change
2017-06-25 13:10 riban New Issue
2017-06-25 13:38 ovenwerks Note Added: 0019810
2017-06-29 15:45 ovenwerks Status new => feedback
2017-06-30 00:14 riban Note Added: 0019833
2017-06-30 00:14 riban Status feedback => new
2017-06-30 15:27 ovenwerks Note Added: 0019840
2017-06-30 15:27 ovenwerks Status new => feedback
2017-12-20 10:09 ovenwerks Note Added: 0020108
2017-12-20 10:09 ovenwerks Status feedback => resolved
2017-12-20 10:09 ovenwerks Resolution open => fixed
2017-12-20 10:09 ovenwerks Assigned To => ovenwerks


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker